#!/bin/sh

. /tmp/openit-cfg-shenv

db_path=$ROOT_DIR/db/general
db_file=$db_path/system.s3db

#Get the first three part of the version
ver3=`grep VERSION $ROOT_TEMP_DIR/inst/package/accserver.info | cut -d" " -f2 | cut -d "." -f 1-3 | tr -d '.'`

#If the first three part is less than 6.3.0
if [ $ver3 -lt 630 ]; then
	/opt/openit/libexec/bin/sqlite $db_file $db_path/sql/5.sql
	/opt/openit/libexec/bin/sqlite $db_file $db_path/sql/6.sql
fi

exit 0
