<?php 
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

$accessControlManager = new AccessControlManager();
$group = $accessControlManager->getGroup($_REQUEST["id"]);
if (!$group) header("Location: index.php");

$step = 500;
$lastrow = $_REQUEST["mark"];
if (!$lastrow) $lastrow = 0;




$value = isset($_REQUEST["value"]) ? $_REQUEST["value"] : "";
if (!$value) $value = '';

if(isset($value)){
	// Store the featureCount to SESSION
	$count = null;
	if( isset($_SESSION[$value]["featureCount"])){
		$count = $_SESSION[$value]["featureCount"];
	}else{
		$_SESSION[$value]["featureCount"] = count(DatabaseManager::getAllFeatureFromProduct($value, $_REQUEST["keyword"]));
		$count = $_SESSION[$value]["featureCount"];
	}

	$features = DatabaseManager::getAllFeatureFromProductWithOffset($value,$lastrow, $step, $_REQUEST["keyword"]);	
}

foreach($features as $key => $feature) {
    ?>
        <div class="item" title="<?= wordwrap(htmlspecialchars($feature),40," ",true) ?>" id="featureList">
			<input id="<?= htmlentities($feature) ?>" type="checkbox" name="features[]" value="<?= htmlentities($feature) ?>" <?php if ($group->isMemberOfFeature(SQLite3::escapeString(stripslashes($feature)), SQLite3::escapeString(stripslashes($value)))) { ?>checked="checked"<?php } ?> onchange="saveItem(this,'feature', '<?= $value ?>');" /><?= strlen($feature)>30 ? trim(substr(htmlspecialchars($feature), 0, 30))."..." : htmlspecialchars($feature) ?>
        </div>
<?php 
} 
if($value != ''){
?>

<input id="productParent" type="hidden" value="<?=$_REQUEST['value']?>"/>
<?php } ?>
<script type="text/javascript">
    refreshNavi('feature',<?=$lastrow?>,<?=$count?>,'<?=$_REQUEST["keyword"]?>','<?=$value?>');
</script>