<?php 
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

$accessControlManager = new AccessControlManager();
$group = $accessControlManager->getGroup($_REQUEST["id"]);
if (!$group) header("Location: index.php");

$step = 500;
$lastrow = $_REQUEST["mark"];
if (!$lastrow) $lastrow = 0;
$dataTypes = DatabaseManager::getDataTypes();
$count = count(DatabaseManager::getAllClassificationValues('Product',$_REQUEST["keyword"]));
$products = DatabaseManager::getAllClassificationValuesWithOffset('Product',$lastrow,$step,$_REQUEST["keyword"]);

foreach($products as $key => $product) { 

	$countfeat = count(DatabaseManager::getAllFeatureFromProduct($product));
	$counthfeat = count($accessControlManager->getGroupFeatures($group->getId(), false, $product));

	if($countfeat != $counthfeat && $counthfeat > 0 ){
		echo '<script type="text/javascript">';
		echo 'indeterminateProd("'.$product.'");';
		echo '</script>';
	}
    ?>
    <div class="item" title="<?= wordwrap(htmlspecialchars($product),40," ",true) ?>" id="productList">
        <input id="<?= htmlentities($product) ?>" class="<?= htmlentities($product) ?>" type="checkbox" name="products[]" value="<?= htmlentities($product) ?>" <?php if ($group->isMemberOfProduct(SQLite3::escapeString(stripslashes($product)))) { ?>checked="checked"<?php } ?> onchange="saveItem(this,'product');" /><a href="javascript: showFeatureValues('<?= $product ?>')"><?= strlen($product)>30 ? trim(substr(htmlspecialchars($product), 0, 30))."..." : htmlspecialchars($product) ?></a>
    </div>
<?php 
} 
?>

<script type="text/javascript">
    refreshNavi('product',<?=$lastrow?>,<?=$count?>,'<?=$_REQUEST["keyword"]?>');
</script>