<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

$accessControlManager = new AccessControlManager();
$dataTypes = DatabaseManager::getDataTypes();

if ($_REQUEST["id"] != "new" && $_REQUEST["id"] != "") {
	$group = $accessControlManager->getGroup($_REQUEST["id"]);
	if (!$group) header("Location: groups.php");
}

if ((!empty($_REQUEST["data"]) && is_array($_REQUEST["data"])) || (!empty($_REQUEST["hdata"]) && is_array($_REQUEST["hdata"]))) {
    if($_REQUEST["type"]=="product"){
    	$accessControlManager->updateProductsInGroup($group, $_REQUEST["data"], $_REQUEST["hdata"]);
    } 
    else{
    	$accessControlManager->updateFeaturesInGroup($group, $_REQUEST["data"], $_REQUEST["hdata"], $_REQUEST["product"]);

    	$countfeat = count(DatabaseManager::getAllFeatureFromProduct($_REQUEST["product"]));
        $counthfeat = count($accessControlManager->getGroupFeatures($group->getId(), false, $_REQUEST["product"]));

		if($countfeat == $counthfeat && $countfeat > 0 && $counthfeat > 0){
			$accessControlManager->updateProductsInGroup($group, array($_REQUEST["product"]), NULL);
		}
		elseif($countfeat != $counthfeat && $countfeat > 0 && $counthfeat >= 0){
			$accessControlManager->updateProductsInGroup($group, NULL, array($_REQUEST["product"]));
		}
    } 
}

// set all Product/Feature to Hidden
if(isset($_REQUEST["hide"]) && $_REQUEST["hide"] == 'hide'){

	$cvtype = $_REQUEST["type"];
	$values = DatabaseManager::getAllClassificationValues(ucfirst($cvtype));
	$accessControlManager->setAllHide($group, $values, ucfirst($cvtype));
}
// set all Product/Feature unHidden
if(isset($_REQUEST["hide"]) && $_REQUEST["hide"] == 'unhide'){
	$cvtype = $_REQUEST["type"];
	$accessControlManager->setAllUnHide($group, ucfirst($cvtype));
}

?>
